1. DRIVER APP
TRUXCO
  • GENERATION OF ACCESS TOKEN
  • DRIVER APP
    • TEMP
      • TEMPORARY: SILENT NOTIFCATION
    • VALIDATE DEVICE
      POST
    • REQUEST OTP
      POST
    • RESEND OTP
      POST
    • VERIFY OTP
      POST
    • UPDATE BIOMETRIC STATUS
      POST
    • DRIVER DOCUMENTS
      POST
    • UPLOAD DRIVER DOCUMENT
      POST
    • DRIVER TRIP DETAIL
      POST
    • ORDER DETAIL
      POST
    • STORE DRIVER RESPONSE
      POST
    • ORDER PTI DETAIL
      POST
    • UPLOAD PTI IMAGE
      POST
    • REMOVE PTI IMAGE
      POST
    • MARK PTI COMPLETE
      POST
    • DASHBOARD
      POST
    • TRIP ROUTE
      POST
    • FETCH LOAD JOURNEY
      POST
    • SAVE LOAD JOURNEY
      POST
    • SAVE CURRENT COORDINATES
      POST
    • ORDER DOCUMENT LIST
      POST
    • UPLOAD ORDER DOCUMENT
      POST
    • UPDATE PRE TRIP STATUS
      POST
    • TRIP ISSUE CATEGORY
      POST
    • RAISE ISSUE
      POST
    • CREATE MPIN
      POST
    • VERIFY MPIN
      POST
    • FORGOT MPIN
      POST
    • RESET MPIN
      POST
    • CHANGE MPIN
      POST
    • DELETE ORDER DOCUMENT
      POST
    • SEND GENERAL EMAIL
      POST
    • RAISED ISSUE LIST
      POST
    • DOWNLOAD DOCUMENT
      POST
    • SAVE ORDER LATEST LOCATION
      POST
    • START TRIP
      POST
    • COUNTRY LIST
      POST
    • COUNTRY STATE LIST
      POST
    • DRIVER NOTIFICATION LIST
      POST
    • MARK NOTIFICATION AS READ
      POST
  1. DRIVER APP

VALIDATE DEVICE

Develop Env
http://122.160.87.36:9097/accordBackend
Develop Env
http://122.160.87.36:9097/accordBackend
POST
/api/validate/device
The Validate Device process verifies whether the driver is accessing the application from the same device that was previously registered. If the driver attempts to log in from a new or different device, the system detects the change and prompts the user for confirmation. Upon confirmation, the new device will be registered and the previously registered device will be automatically deactivated to ensure account security and prevent simultaneous access from multiple devices.
This is the first API that needs to be called.

Request

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://122.160.87.36:9097/accordBackend/api/validate/device' \
--header 'Content-Type: application/json' \
--data-raw '{
    "emailId" : "naveen1@gmail.com",
    "deviceId": "b0a7f2c0973fb9d822",
    "deviceToken" : "cHDNyUYGQiSUlK3eLZ1LfB:APA91bFx7JPhdrTyn6yQv5NQSnUCxDmiSh-04tnX5wX0PL4U6Pqjw4AQm_8SQXSpxWiKRdYisII-TmNpgTU0QuGRmockui9UdFMaDcuN-9QZDbA6lLs6uv4",
    "deviceModelName" : "Xiaomi M2006C3MII",
    "deviceType": "ANDROID",
    "osVersion": "Android 10 (API 29) Build V12.0.18.0.QCTINXM"
}'
Response Response Example
Success
{
    "responseCode": 200,
    "responseMsg": "Success",
    "serverDeviceId": "DEV260313.1131.000002",
    "showNewDeviceAlert": true,
    "newDeviceAlertMsg": "You previously used the device Xiaomi M2006C3MII to access your account. You are now attempting to log in from a new device. Are you sure you want to continue on this device?  If you proceed, the previous device will be automatically deactivated."
}
Modified at 2026-03-13 12:07:07
Previous
TEMPORARY: SILENT NOTIFCATION
Next
REQUEST OTP
Built with